"use strict";
this.name = "oolite-random-hits-miningpod-thief";
this.author = "LittleBear, Eric Walch & Thargoid";
this.copyright = "November 2008 - But do what you like with it in your OXPs!";
this.description	= "This script is attached to random ships with a 'pirate' role."
this.licence     = "CC BY-NC-SA 3.0";
this.version = "2.5";

this.shipSpawned = function ()
{
    //this.ship.name = "Miningpod thief";

	this.ship.displayName = this.ship.name + ": " + expandDescription("[random_hits_bigboss_fighter_name]");
	// Show the Criminal's name on the ID Computer when targeted.
    delete this.shipSpawned;
}

this.shipDied = function (who, cause)
{
    if (who && who.isPlayer){
        missionVariables.random_hits_miningpodThief_player_kill++;
        this.ship.commsMessage(expandDescription("[random_hits_criminal_curses]"));
    }
}

this.signalArrival = function ()
{
    if (this.ship.target)
    {
        this.ship.target.target = this.ship;
        this.ship.target.reactToAIMessage("HOPPER_ARRIVED"); // this is a lie!
    }
}

this.shipScoopedOther = function (pod)
{
    // log(this.name, this.ship.name + " scooped up: " + pod.name);
    this.ship.bounty += Math.ceil(Math.random()*70)/10;
}
